
package net.gencat.scsp.esquemes.solicitudrespuesta;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the net.gencat.scsp.esquemes.solicitudrespuesta package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _IdentificadorSolicitante_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "IdentificadorSolicitante");
    private final static QName _IdPeticion_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "IdPeticion");
    private final static QName _IdSolicitanteOriginal_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "IdSolicitanteOriginal");
    private final static QName _CodigoEstadoSecundario_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "CodigoEstadoSecundario");
    private final static QName _LiteralError_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "LiteralError");
    private final static QName _CodigoCertificado_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "CodigoCertificado");
    private final static QName _CodigoEstado_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "CodigoEstado");
    private final static QName _Finalidad_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "Finalidad");
    private final static QName _NombreCompletoFuncionario_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "NombreCompletoFuncionario");
    private final static QName _TiempoEstimadoRespuesta_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "TiempoEstimadoRespuesta");
    private final static QName _NombreEmisor_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "NombreEmisor");
    private final static QName _TimeStamp_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "TimeStamp");
    private final static QName _CodigoProducto_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "CodigoProducto");
    private final static QName _NifFuncionario_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "NifFuncionario");
    private final static QName _NifEmisor_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "NifEmisor");
    private final static QName _NombreSolicitante_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "NombreSolicitante");
    private final static QName _CodigoOrganismoFuncionario_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "CodigoOrganismoFuncionario");
    private final static QName _NomSolicitanteOriginal_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "NomSolicitanteOriginal");
    private final static QName _EMailFuncionario_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "EMailFuncionario");
    private final static QName _NumElementos_QNAME = new QName("http://gencat.net/scsp/esquemes/solicitudRespuesta", "NumElementos");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: net.gencat.scsp.esquemes.solicitudrespuesta
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link SolicitudRespuesta }
     * 
     */
    public SolicitudRespuesta createSolicitudRespuesta() {
        return new SolicitudRespuesta();
    }

    /**
     * Create an instance of {@link Atributos }
     * 
     */
    public Atributos createAtributos() {
        return new Atributos();
    }

    /**
     * Create an instance of {@link Funcionario }
     * 
     */
    public Funcionario createFuncionario() {
        return new Funcionario();
    }

    /**
     * Create an instance of {@link DatosAutorizacion }
     * 
     */
    public DatosAutorizacion createDatosAutorizacion() {
        return new DatosAutorizacion();
    }

    /**
     * Create an instance of {@link Emisor }
     * 
     */
    public Emisor createEmisor() {
        return new Emisor();
    }

    /**
     * Create an instance of {@link Estado }
     * 
     */
    public Estado createEstado() {
        return new Estado();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "IdentificadorSolicitante")
    public JAXBElement<String> createIdentificadorSolicitante(String value) {
        return new JAXBElement<String>(_IdentificadorSolicitante_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "IdPeticion")
    public JAXBElement<String> createIdPeticion(String value) {
        return new JAXBElement<String>(_IdPeticion_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "IdSolicitanteOriginal")
    public JAXBElement<String> createIdSolicitanteOriginal(String value) {
        return new JAXBElement<String>(_IdSolicitanteOriginal_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "CodigoEstadoSecundario")
    public JAXBElement<String> createCodigoEstadoSecundario(String value) {
        return new JAXBElement<String>(_CodigoEstadoSecundario_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "LiteralError")
    public JAXBElement<String> createLiteralError(String value) {
        return new JAXBElement<String>(_LiteralError_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "CodigoCertificado")
    public JAXBElement<String> createCodigoCertificado(String value) {
        return new JAXBElement<String>(_CodigoCertificado_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "CodigoEstado")
    public JAXBElement<String> createCodigoEstado(String value) {
        return new JAXBElement<String>(_CodigoEstado_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "Finalidad")
    public JAXBElement<String> createFinalidad(String value) {
        return new JAXBElement<String>(_Finalidad_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "NombreCompletoFuncionario")
    public JAXBElement<String> createNombreCompletoFuncionario(String value) {
        return new JAXBElement<String>(_NombreCompletoFuncionario_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Integer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "TiempoEstimadoRespuesta")
    public JAXBElement<Integer> createTiempoEstimadoRespuesta(Integer value) {
        return new JAXBElement<Integer>(_TiempoEstimadoRespuesta_QNAME, Integer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "NombreEmisor")
    public JAXBElement<String> createNombreEmisor(String value) {
        return new JAXBElement<String>(_NombreEmisor_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "TimeStamp")
    public JAXBElement<String> createTimeStamp(String value) {
        return new JAXBElement<String>(_TimeStamp_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "CodigoProducto")
    public JAXBElement<String> createCodigoProducto(String value) {
        return new JAXBElement<String>(_CodigoProducto_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "NifFuncionario")
    public JAXBElement<String> createNifFuncionario(String value) {
        return new JAXBElement<String>(_NifFuncionario_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "NifEmisor")
    public JAXBElement<String> createNifEmisor(String value) {
        return new JAXBElement<String>(_NifEmisor_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "NombreSolicitante")
    public JAXBElement<String> createNombreSolicitante(String value) {
        return new JAXBElement<String>(_NombreSolicitante_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "CodigoOrganismoFuncionario")
    public JAXBElement<String> createCodigoOrganismoFuncionario(String value) {
        return new JAXBElement<String>(_CodigoOrganismoFuncionario_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "NomSolicitanteOriginal")
    public JAXBElement<String> createNomSolicitanteOriginal(String value) {
        return new JAXBElement<String>(_NomSolicitanteOriginal_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "EMailFuncionario")
    public JAXBElement<String> createEMailFuncionario(String value) {
        return new JAXBElement<String>(_EMailFuncionario_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Integer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://gencat.net/scsp/esquemes/solicitudRespuesta", name = "NumElementos")
    public JAXBElement<Integer> createNumElementos(Integer value) {
        return new JAXBElement<Integer>(_NumElementos_QNAME, Integer.class, null, value);
    }

}
